Kapp Webhook Job Search

Returns a list of webhook jobs that are scoped to the Kapp. In other words, returns a list of webhook jobs that were triggered from a webhook defined on the Kapp, not the Space.

Optional Parameters

The following optional parameters can be used individually, or in combination to alter/filter the results.

  • status - filter the results to webhook jobs in either the queued or failed status.

  • webhook - filter the results to webhook jobs that match the webhook name defined on the Kapp.

  • parentType - filter the results to webhook jobs that were created from a webhook by the type of parent [Form, Submission]. This parameter must be used in combination with the parentKey parameter.

  • parentKey - filter the results to webhook jobs that were created from the specified parent record identified by this key value. This parameter must be used in combination with the parentType parameter.

Path Params
string
required

The slug of the Kapp

Query Params
boolean

Indicates all webhook jobs that exist within the Space should be retrieved.

string
enum

Filter the webhook jobs to optionally display only records that are failed or queued.

Allowed:
string

Name of the webhook to search for.

string
enum

The Parent object type.

Allowed:
string

The unique key value for the specified record.

The value will depend on the parentType selected.

  • If parentKey is Form, then key should be the value of the form slug

  • If parentKey is Submission, then key should be the value of the submission id

int32
0 to 1000
Defaults to 25

Limit the number of results returned.

If not provided, the server will limit the results to 25 jobs.

string

The token to get the next page of results.

This value is set using the nextPageToken value returned by a search with the same query to get the next page or results.

date-time

Inclusive starting date/time boundary for when the job was scheduled at.

Must be in the following ISO8601 format; yyyy-MM-dd'T'HH:mm:ss'Z'

date-time

Exclusive ending date/time boundary for when the job was scheduled at.

Must be in the following ISO8601 format; yyyy-MM-dd'T'HH:mm:ss'Z'

string
enum

comma-separated list of properties to include in the response

Allowed:
Response

Language
Credentials
Basic
base64
:
URL
Response
Choose an example:
application/json